apply plugin: RiskscapePluginProjectPlugin

riskscapePlugin {
  implementation = 'nz.org.riskscape.netcdf.Plugin'
}

dependencies {
  plugin group: 'edu.ucar', name: 'cdm-core', version: '5.9.1'

  testImplementation project(':engine:app')
  testImplementation project(':engine:app').sourceSets.test.output
  testImplementation project(':plugin:defaults')
  testImplementation project(':test:engine-harness')
  testImplementation project(':test:functional').sourceSets.test.output
}

test {
  useJUnit {
    excludeCategories 'nz.org.riskscape.engine.cli.CliIntegrationTest'
  }
  testLogging {
    showStandardStreams = true
  }
}

task(netCDFTest, type: Test, dependsOn: compileTestJava) {
  outputs.upToDateWhen {
    // always run tests
    false
  }
  useJUnit {
    includeCategories 'nz.org.riskscape.engine.cli.CliIntegrationTest'
  }
  testLogging {
      showStandardStreams = true
  }
}
